﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=7.3
@EndOfDesignText@
'Code module ManagePreferences

'=======================
' Generic Skeleton stuff
'=======================

#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private prefsXclv As CustomListView

End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("1")

End Sub

Sub Activity_Resume

	Dim wmPrefs As wmPreferences
	Dim i As Int

	prefsXclv.AsView.BringToFront
	i = wmPrefs.Initialize(prefsXclv, Starter.wmPrefsFileNameWithoutExtension, Starter.wmPrefsEncryptFile, False, Starter.wmPrefsVariousStrings, True)

	If i <> wmPrefs.RESULT_OK Then
		Msgbox("Init error " & i, "wmPreferences")
		Activity.Finish
		Return
	End If

	'=============
	' CUSTOM START
	'=============

	wmPrefs.AddCategory(Application.LabelName, "", Application.LabelName, "", "", Null, False, Null, "", Chr(0xE8B8))
	wmPrefs.AddEntry(Application.LabelName, "heartBeatMinutes", "Show an alert if the Puck data are still identical after ... minutes", "", "", wmPrefs.INPUT_TYPE_EDITTEXT_INTINCL, Array As String(0, 60), Array As String(Starter.heartBeatMinutes), "", "", Chr(0xE19C), "")
	wmPrefs.AddEntry(Application.LabelName, "batteryLevelAlert", "Show battery level alert when % lower than", "", "", wmPrefs.INPUT_TYPE_EDITTEXT_INTEXCL, Array As String(5, 100), Array As String(Starter.batteryLevelAlert), "", "", Chr(0xE19C), "")
	wmPrefs.AddEntry(Application.LabelName, "smstonumber", "Send SMS to number", "", "", wmPrefs.INPUT_TYPE_EDITTEXT_NUMBER, Null, Null, "", "", Chr(0xE625), "")
	wmPrefs.AddEntry(Application.LabelName, "smstext", "Send SMS text", "", "", wmPrefs.INPUT_TYPE_EDITTEXT_ANY, Null, Array As String("I have pressed the PANIC button, please call me and if I don't pick up, please call emergency services"), "", "", Chr(0xE8B2), "")
	wmPrefs.AddEntry(Application.LabelName, "receiveSendNotification", "Request SMS sent notification", "", "", wmPrefs.INPUT_TYPE_BOOLEAN, Null, Array As String(False), "", "", Chr(0xE7F5), "")

	'===========
	' CUSTOM END
	'===========

	wmPrefs.ExpandAllCategories
	wmPrefs.Show

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub